Package org.apache.solr.common.util

## Class GlobPatternUtil

- java.lang.Object
- - org.apache.solr.common.util.GlobPatternUtil

    public class GlobPatternUtil
    extends Object

Provides methods for matching glob patterns against input strings.

### Constructor Summary

Constructors
`GlobPatternUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `matches​(String pattern, String input)` Matches an input string against a provided glob patterns.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobPatternUtil

    public GlobPatternUtil()

### Method Detail

#### matches

    public static boolean matches​(String pattern,
                                  String input)

Matches an input string against a provided glob patterns. This uses the implementation from Apache Commons IO FilenameUtils. We are just redoing the implementation here instead of bringing in commons-io as a dependency.

Parameters:
  `pattern` - the glob pattern to match against
  `input` - the input string to match against a glob pattern
Returns:
  true if the input string matches the glob pattern, false otherwise
See Also:
  This uses code from Apache Commons IO